<?php
require_once 'ControlDB.php';
class ControlContato {
	
	public function pegarUmContato($pk) {
		$contato = new Contato();
		$contato->get($pk);
		return $contato;
	}
	
	public function salvarContato(Contato $contato) {
		$contato->save();
		return 1;
	}
        
        //ContatoDepartamento
        
        public function pegarTodosContatodepartamento() {
		$contatoDepartamento = new Contatodepartamento();
		$contatoDepartamento->find();
		return $contatoDepartamento;
	}
        
        public function pegarTodosContatodepartamentoHabilitado() {
		$contatoDepartamento = new Contatodepartamento();
                $contatoDepartamento->setHabilitado(1);
		$contatoDepartamento->find();
		return $contatoDepartamento;
	}
	
	public function pegarUmContatodepartamento($pk) {
		$contatoDepartamento = new Contatodepartamento();
		$contatoDepartamento->get($pk);
		return $contatoDepartamento;
	}
	
	public function salvarContatodepartamento(Contatodepartamento  $contatoDepartamento) {
		$contatoDepartamento->save();
		return 1;
	}
	
	public function excluirContatodepartamento(Contatodepartamento  $contatoDepartamento) {
		$contatoDepartamento->delete();
                return 1;
	}

}


?>